diff --git a/changelog b/changelog
index f674b9f..e27b0ee 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100702 tpd src/axiom-website/patches.html 20100702.02.tpd.patch
+20100702 tpd src/doc/Makefile cleanly latex pure latex files
 20100702 mxr src/axiom-website/patches.html 20100702.01.mxr.patch
 20100702 mxr src/algebra/Makefile test and help for Dirichlet ring
 20100702 mxr books/bookvol5 expose Dirichlet ring
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 21506c5..f8e34f7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2962,5 +2962,7 @@ src/input/paffexample.input additional PAFF testing<br/>
 books/bookvol10.4 add Export3D<br/>
 <a href="patches/20100702.01.mxr.patch">20100702.01.mxr.patch</a>
 books/bookvol10.3 add Dirichlet ring<br/>
+<a href="patches/20100702.02.tpd.patch">20100702.02.tpd.patch</a>
+src/doc/Makefile cleanly latex pure latex files<br/>
  </body>
 </html>
diff --git a/src/doc/Makefile.pamphlet b/src/doc/Makefile.pamphlet
index 363b45a..c1a6f6a 100644
--- a/src/doc/Makefile.pamphlet
+++ b/src/doc/Makefile.pamphlet
@@ -42,8 +42,10 @@ ${DVI}/refcard.dvi: ${IN}/refcard.pamphlet
 	@echo 4 making ${DVI}/refcard.dvi from ${IN}/refcard.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/refcard.pamphlet ${MID} ;\
-	${DOCUMENT} ${NOISE} refcard ; \
-	cp refcard.dvi ${DVI} )
+	latex refcard.pamphlet ; \
+	cp refcard.dvi ${DVI} ; \
+	rm refcard.log ; \
+	rm refcard.aux )
 
 @
 \section{The End Papers}
@@ -56,8 +58,10 @@ ${DVI}/endpaper.dvi: ${IN}/endpaper.pamphlet
 	cp ${IN}/endpaper.pamphlet ${MID} ; \
 	mkdir -p ${MID}/ps ; \
 	cp ${IN}/ps/*ps* ${MID}/ps ; \
-	${DOCUMENT} ${NOISE} endpaper ; \
+	latex endpaper.pamphlet ; \
+	latex endpaper.pamphlet ; \
 	cp endpaper.dvi ${DVI} ; \
+	rm endpaper.* ; \
 	mkdir -p ${DVI}/ps ; \
 	cp ${IN}/ps/*ps* ${DVI}/ps )
 
@@ -72,7 +76,7 @@ ${DVI}/rosetta.dvi: ${IN}/rosetta.pamphlet
 	@echo 5 building ${DVI}/rosetta.dvi from ${IN}/rosetta.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/rosetta.pamphlet ${MID} ; \
-	${DOCUMENT} ${NOISE} rosetta ; \
+	latex rosetta.pamphlet ; \
 	cp rosetta.dvi ${DVI} )
 
 @
